ServiceComponentChangeEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.tv.service.navigation
Class ServiceComponentChangeEvent

    java.lang.Object
      java.util.EventObject
          javax.tv.service.SIChangeEvent
              javax.tv.service.navigation.ServiceDetailsSIChangeEvent
                  javax.tv.service.navigation.ServiceComponentChangeEvent

All Implemented Interfaces:
  Serializable

    public class ServiceComponentChangeEvent

extends ServiceDetailsSIChangeEvent

A `ServiceComponentChangeEvent` notifies an `ServiceComponentChangeListener` of changes to a `ServiceComponent` detected in a `ServiceDetails`. Specifically, this event signals the addition, removal, or modification of a `ServiceComponent`.

See Also:
  `ServiceDetails`, `ServiceComponent`, Serialized Form

Constructor Summary
`ServiceComponentChangeEvent(ServiceDetails service, SIChangeType type, ServiceComponent c)` Constructs a `ServiceComponentChangeEvent`.

Method Summary
`ServiceComponent` | `getServiceComponent()` Reports the `ServiceComponent` that changed.

Methods inherited from class javax.tv.service.navigation.ServiceDetailsSIChangeEvent
`getServiceDetails`

Methods inherited from class javax.tv.service.SIChangeEvent
`getChangeType, getSIElement`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceComponentChangeEvent

    public ServiceComponentChangeEvent(ServiceDetails service,
                                       SIChangeType type,
                                       ServiceComponent c)

  Constructs a `ServiceComponentChangeEvent`.

  Parameters:
    `service` - The `ServiceDetails` in which the change occurred.
    `type` - The type of change that occurred.
    `c` - The `ServiceComponent` that changed.

Method Detail

### getServiceComponent

    public ServiceComponent getServiceComponent()

  Reports the `ServiceComponent` that changed. It will be identical to the object returned by the inherited `SIChangeEvent.getSIElement` method.

  Returns:
    The `ServiceComponent` that changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD